name: airquality
feature_names: [
  X0, X1, X2, X3, X4, X5, X6, X7, X8, X9, X10, X11, X12, X13, X14, X15, X16, X17, X18, X19, X20, X21, X22, X23, X24,
  X25, X26, X27, X28, X29, X30, X31, X32, X33, X34, X35
]

seq_len: 24
stride: 1

train:
  _target_: data.dataset.MyDataset
  file_path_data: ${oc.env:PROJECT_ROOT}/${path_data}/airquality/train.csv
  feature_names: ${dataset.feature_names}
  seq_len: ${dataset.seq_len}
  stride: ${dataset.stride}

val:
  _target_: data.dataset.MyDataset
  file_path_data: ${oc.env:PROJECT_ROOT}/${path_data}/airquality/val.csv
  feature_names: ${dataset.feature_names}
  seq_len: ${dataset.seq_len}
  stride: ${dataset.stride}

predict:
  _target_: data.dataset_noise.DatasetNoise
  n_samples: 8192
  seq_len: ${dataset.seq_len}
